Eto for Python
@onlyforpeace wrote: Hello, now i would like to use Eto for interface my python script. I would like to display a text in a textbox, that i can change to return it in a “user document text”. for...
View ArticleLabeling and Dimension using C# study
@falbuquerquep wrote: Hello everybody! I am currently studying C# programming and trying to understand how connecting Rhino identifiers works using rhinocommon. From my file, polylines are being read...
View ArticleGet the rotation of the xform
@tish.ghaith wrote: Hi all, Do you know how the XForm in rhino works ?. It is a 4X4 matrix The Xform output is R1, R2, R3, R4 What are these rows basically ? and how to access them through scripting I...
View ArticleRandom (rhino/python)
@grenzenlosreicherloe wrote: hello everyone, we have a problem. we want to place objects randomly on a city we imported from open street map (osm). the thing is, we have no idea how to do this. we...
View ArticleHiding control point from RhinoCommon
@ivelin.peychev wrote: I’m talking about this option here: Is this possible to do using Python? Posts: 8 Participants: 2 Read full topic
View ArticleCycle through layers and namedviews using python rhinoscriptsyntax
@vincent.konate wrote: I am an architect, and often I have to do a similar task: I design multiple options for a project, each on a layer, in the following tree organisation: OPTIONS – 01 – 02 – 03 I...
View ArticleMaterial texture get invert status
@kyle_faulkner wrote: Is it possible to determine via the API whether or not a texture is inverted or not? For a given material, I can get the texture (transparency texture for example) but I can’t...
View ArticleMesh.unweld bug when python script is compiled
@Holo wrote: Hi @stevebaer I have a script where I make a patch where I unweld the mesh before adding it to the document, and when I run the script all is cool, but when compiled it hangs on the...
View ArticleStatusBarProgressMeter in latest version of Rhino/Mac V5?
@Helvetosaur wrote: I have some scripts which excluded running the status bar progress meter when running Rhino on Mac. According to the API, it is implemented as of Mac Rhino 5.4, but I just wanted...
View ArticleHow to get the resulting objects from a scripted command?
@ivelin.peychev wrote: e.g. How do I get the curve(s) after using something like this: rs.Command("_Silhouette _selid {} _Enter".format(all_objs[i].Id)) Posts: 8 Participants: 4 Read full topic
View ArticleDetecting gaps between polysurfaces?
@JSV wrote: I’ve written a script as Rhinoscript and Pythonscript for Rhino to be able to detect duplicate polysurfaces, open polysurfaces and non-planar surfaces. I now need a foolproof method to be...
View ArticleLayer management
@rhinoceros.adv wrote: Hello friends I need help. A command or script to manage “Layer” I have created a library of 50 layers (as a template) In my drawing, use only 5-10 layers. So is there any...
View ArticleUnhelpful debug information
@ivelin.peychev wrote: This: Message: expected Brep, got BrepObject is incomprehensible. Posts: 8 Participants: 3 Read full topic
View ArticleFunction arguments Python
@onlyforpeace wrote: is it possible to affect a value from a list to an argument with a loop? args[i]=Lst[i] Posts: 2 Participants: 2 Read full topic
View ArticleIterate over a block definition and delete objects in Rhinoscript
@Federico_Giacomarra wrote: HI guys, I am pretty bad in rhinoscript could you look at this? Something tells me I should go to a deeper level than the block istance but I am not sure what to do...
View ArticleSorting Objects according to the distance between them
@Erdem wrote: Hello everyone, I’m trying to sort some objects according to the distance between them (ADBT). I am working on a definition and there is a problem that I face. Whenever I put some planar...
View ArticleGhpython curve domain problem
@seghierkhaled wrote: Hello, what’s wrong with curve domain in ghpython? i tried many methods without success import rhinoscriptsyntax as rs import Rhino as rg if C: d = rs.CurveDomain(C) t = d[1]/2...
View ArticleCurve.ProjectToPlane Method Issue
@ivelin.peychev wrote: When using this method on a curve, like: some_curve.ProjectToPlane(Rhino.Geometry.Plane.WorldXY) I get this: isn’t the first argument supposed to be self, the curve itself that...
View ArticleSelDup invoked on selection
@ivelin.peychev wrote: How can I script this command when I already have the curves selected? Alternatively, is there a method removing the duplicate curves or identifying them in RhinoCommon? Thanks...
View ArticleDomain reset of a closed polycurve
@massimo.grieco wrote: Goodmorning everyone. I routinely use the curveseam command to move the junction point and manipulate the position of one or more points on a polycurve closed with the...
View Article